import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '@/views/HomeView.vue'
import UserDashboard from '@/views/UserDashboard.vue'
import { isLoggedIn } from '@/ts/authorization'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView,
      beforeEnter: (to) => {
        return isLoggedIn().then((response) => {
          if (response) {
            const redirect = to.query.redirect?.toString()
            if (redirect != undefined) {
              return redirect
            } else {
              return '/dashboard'
            }
          }
        })
      },
      meta: { requiresAuth: false },
    },
    {
      path: '/dashboard',
      name: 'user-dashboard',
      component: UserDashboard,
      meta: { requiresAuth: true },
    },
  ],
})

router.beforeEach((to) => {
  if (to.meta.requiresAuth) {
    return isLoggedIn().then((response) => {
      if (response == false) {
        return '/?redirect=' + to.fullPath
      }
    })
  }
})

export default router
