import { reactive, ref } from 'vue'

export const api_token_store = reactive({
  api_token: ref({
    secret: '',
    claims: {
      iss: '',
      sub: '',
    },
  }),
})

export function generate_api_token(key_name: string): Promise<boolean> {
  const get_url = new URL('http://192.168.50.91:31337/user/token/generate')
  const search_params = new URLSearchParams()
  search_params.append('name', key_name)
  get_url.search = search_params.toString()
  return fetch(get_url, {
    credentials: 'include',
    method: 'GET',
  })
    .then((res) => {
      return res.json().then((res_json) => {
        console.log(res_json)
        api_token_store.api_token = res_json
        return res_json
      })
    })
    .catch(() => {})
}
