import { reactive, ref } from 'vue'

export const function_tags_store = reactive({
  function_tags: ref(
    [] as Array<{
      name: string
    }>,
  ),
})

export function update_function_tags() {
  fetch('http://192.168.50.91:31337/all/function-tags', {
    credentials: 'include',
  })
    .then((res) => {
      res
        .json()
        .then((functiontagsjson) => {
          function_tags_store.function_tags = functiontagsjson.function_tags
        })
        .catch(() => {})
    })
    .catch(() => {})
}

export function add_function_tag(function_tag_name: string) {
  const post_url = new URL('http://192.168.50.91:31337/function-tag')
  const search_params = new URLSearchParams()
  search_params.append('id', function_tag_name)
  post_url.search = search_params.toString()
  fetch(post_url, {
    credentials: 'include',
    method: 'POST',
    body: JSON.stringify({
      name: function_tag_name,
    }),
  })
    .then((res) => {
      if (res.status === 400) {
        console.log('Function Tag submitted is invalid.')
      } else if (res.status === 401) {
        console.log("You aren't logged in.")
      } else {
        update_function_tags()
      }
    })
    .catch(() => {})
}
