import { reactive, ref } from 'vue'

export const groups_store = reactive({
  groups: ref(
    [] as Array<{
      name: string
    }>,
  ),
})

export function update_groups() {
  fetch('http://192.168.50.91:31337/all/groups', {
    credentials: 'include',
  })
    .then((res) => {
      res
        .json()
        .then((groupsjson) => {
          groups_store.groups = groupsjson.groups
        })
        .catch(() => {})
    })
    .catch(() => {})
}

export function add_group(group: string) {
  fetch('http://192.168.50.91:31337/group?name=' + group, {
    credentials: 'include',
    method: 'POST',
    body: JSON.stringify({ name: group }),
  })
    .then((res) => {
      if (res.status === 400) {
        console.log('Group submitted is invalid.')
      } else if (res.status === 401) {
        console.log("You aren't logged in.")
      } else {
        update_groups()
      }
    })
    .catch(() => {})
}
